# DaprAppCallbackProtos.BindingEventResponseOrBuilder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Interface DaprAppCallbackProtos.BindingEventResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprAppCallbackProtos.BindingEventResponse`, `DaprAppCallbackProtos.BindingEventResponse.Builder`

Enclosing class:
  DaprAppCallbackProtos

    public static interface DaprAppCallbackProtos.BindingEventResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency` `getConcurrency()` The concurrency of output bindings to send data to "to" output bindings list.
`int` `getConcurrencyValue()` The concurrency of output bindings to send data to "to" output bindings list.
`com.google.protobuf.ByteString` `getData()` The content which will be sent to "to" output bindings.
`CommonProtos.StateItem` `getStates​(int index)` The state key values which will be stored in store_name.
`int` `getStatesCount()` The state key values which will be stored in store_name.
`List<CommonProtos.StateItem>` `getStatesList()` The state key values which will be stored in store_name.
`CommonProtos.StateItemOrBuilder` `getStatesOrBuilder​(int index)` The state key values which will be stored in store_name.
`List<? extends CommonProtos.StateItemOrBuilder>` `getStatesOrBuilderList()` The state key values which will be stored in store_name.
`String` `getStoreName()` The name of state store where states are saved.
`com.google.protobuf.ByteString` `getStoreNameBytes()` The name of state store where states are saved.
`String` `getTo​(int index)` The list of output bindings.
`com.google.protobuf.ByteString` `getToBytes​(int index)` The list of output bindings.
`int` `getToCount()` The list of output bindings.
`List<String>` `getToList()` The list of output bindings.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getStoreName

    String getStoreName()

     The name of state store where states are saved.

`string store_name = 1;`

Returns:
  The storeName.

#### getStoreNameBytes

    com.google.protobuf.ByteString getStoreNameBytes()

     The name of state store where states are saved.

`string store_name = 1;`

Returns:
  The bytes for storeName.

#### getStatesList

    List<CommonProtos.StateItem> getStatesList()

     The state key values which will be stored in store_name.

`repeated .dapr.proto.common.v1.StateItem states = 2;`

#### getStates

    CommonProtos.StateItem getStates​(int index)

     The state key values which will be stored in store_name.

`repeated .dapr.proto.common.v1.StateItem states = 2;`

#### getStatesCount

    int getStatesCount()

     The state key values which will be stored in store_name.

`repeated .dapr.proto.common.v1.StateItem states = 2;`

#### getStatesOrBuilderList

    List<? extends CommonProtos.StateItemOrBuilder> getStatesOrBuilderList()

     The state key values which will be stored in store_name.

`repeated .dapr.proto.common.v1.StateItem states = 2;`

#### getStatesOrBuilder

    CommonProtos.StateItemOrBuilder getStatesOrBuilder​(int index)

     The state key values which will be stored in store_name.

`repeated .dapr.proto.common.v1.StateItem states = 2;`

#### getToList

    List<String> getToList()

     The list of output bindings.

`repeated string to = 3;`

Returns:
  A list containing the to.

#### getToCount

    int getToCount()

     The list of output bindings.

`repeated string to = 3;`

Returns:
  The count of to.

#### getTo

    String getTo​(int index)

     The list of output bindings.

`repeated string to = 3;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The to at the given index.

#### getToBytes

    com.google.protobuf.ByteString getToBytes​(int index)

     The list of output bindings.

`repeated string to = 3;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the to at the given index.

#### getData

    com.google.protobuf.ByteString getData()

     The content which will be sent to "to" output bindings.

`bytes data = 4;`

Returns:
  The data.

#### getConcurrencyValue

    int getConcurrencyValue()

     The concurrency of output bindings to send data to
     "to" output bindings list. The default is SEQUENTIAL.

`.dapr.proto.runtime.v1.BindingEventResponse.BindingEventConcurrency concurrency = 5;`

Returns:
  The enum numeric value on the wire for concurrency.

#### getConcurrency

    DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency getConcurrency()

     The concurrency of output bindings to send data to
     "to" output bindings list. The default is SEQUENTIAL.

`.dapr.proto.runtime.v1.BindingEventResponse.BindingEventConcurrency concurrency = 5;`

Returns:
  The concurrency.